Unit tmlc6r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, UTMLCI_p, MLC6R_p;

function tmlc6r: String;

implementation

function tmlc6r: String;
var
NOM,AN,_i,IERR,MIN :Integer;
A :Array [0..7] of Integer;
C :Array [0..3] of Integer;
P :Array [0..1] of Integer;
const
A1 :Array [0..15] of Integer = ( 1,1,2,1,1,1,2,1,1,1,2,1,1,1,2,1 );
C1 :Array [0..7] of Integer = ( 2,-1,2,-2,2,-3,2,-4 );
B :Array [0..1] of Integer = ( 2,4 );
N :Integer = 4;
M :Integer = 2;
Q :Integer = 1;
X :Array [0..3] of Integer = ( 0,0,0,0 );
UP :Array [0..1] of Real = ( 600.0,1.0 );
label
_10;
begin
Result := '';  {   }
UTMLCI(A1,16,A);
UTMLCI(C1,8,C);
_10:
MLC6R(A,B,C,IERR,M,MIN,N,P,Q,UP,X);
Result := Result + Format('%s',['  MIN=']);
Result := Result + Format('%6d ',[MIN]);
Result := Result + Format('%s',['  X=']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%4d ',[X[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  BPEM CETA=']);
Result := Result + Format('%20.16f ',[UP[0]]) + #$0D#$0A;
UtRes('tmlc6r',Result);  {     tmlc6r.res }
exit;
end;

end.
